// ThingWorx
// 
// получение данных с датчиков, подключенных к Arduino
// - температура воздуха LM35
// - влажность воздуха DHT11 (DHT22)
// - температура почвы DS18B20 герматичный
// - влажность почвы YL-38 soilMoisture
// - освещенность - фоторезистор
//

// *********  константы ********
#include "defines.h"
// *********  подключение библиотек  *********

// ds18b20
#include <OneWire.h>
// dht
#include "DHT.h"

DHT dht(PIN_DHT, DHTTYPE);  // тип датчика DHT11,DHT22
OneWire  ds(PIN_DS18B20_1);  // подключение onewire датчиков температуры
// для DS18B20
byte addr[2][8]={
                {0x28, 0x90, 0x57, 0x65, 0x4, 0x0, 0x0, 0xE4},
                {0x28, 0xE3, 0x4, 0x67, 0x5, 0x0, 0x0, 0x52}
                };
                


float fvalue;     // переменная

void setup() {
  Serial.begin(9600);
  // инициализация dht11
  dht.begin();
  
 }



void loop() 
  {
    // ***** получение показаний с датчиков
    // ds18b20 - 1
    //Serial.print("DATA ds18b20 = ");
    //Serial.println(get_temp(0));
    // dht11
    //Serial.print("DATA dht 11= ");
    //Serial.println(get_dht());
    // lm35
    Serial.print("DATA lm35 = ");
    Serial.println(get_lm35());
    // soilMoisture
    //Serial.print("DATA soilMoisture % = ");
    //Serial.println(get_soilMoisture());
    // фоторезистор
    //Serial.print("DATA photo % = ");
    //Serial.println(get_light());
    // задержка
    delay(5000);
    Serial.println();

  }

 

