#ifndef defines_h
#define defines_h
////  
#define VERSION 0.1

// тип датчика dht 
#define DHTTYPE DHT11   // DHT11,DHT22  
//
#define DHCP 1   // 0-dhcp, 1 - manual  
// координаты (широта, долгота)
#define LAT "45.5672"    
#define LON "67.2892"    


// ******** пины *******
#define PIN_PUMP 9    // помпа - через реле

#define PIN_DS18B20_1 8    // температура ds18b20
#define PIN_DHT 7        // датчик влажности воздуха
#define PIN_SOILMOISTURE A0   // датчик влажности почвы
// фоторезистор
#define PIN_LIGHT A1       // фоторезистор (освещенность)
// или i2c BH1750
//#define ADDR_BH1750 0x27
// датчик температуры LM35
#define PIN_LM35 A2       // датчик температуры LM35


// другие константы
// для датчика влажности почвы
#define MIN_SOILMOISTURE 1024
#define MAX_SOILMOISTURE 0
// для датчика освещенности (фоторезистор)
#define MIN_LIGHT 0
#define MAX_LIGHT 1024


//
#endif
