// подключить библиотеку
#include "EmonLib.h"             
// создать объект
EnergyMonitor emon1;             

void setup()
{  
  Serial.begin(9600);
  // пин A3, калибровочный коэффициент
  emon1.voltage(3, 234.26, 1.7); 
  // пин A3, калибровочный коэффициент 
  emon1.current(3, 111.1);       

void loop()
{
  // количество выборок, time-out
  emon1.calcVI(20,2000);  
  // мощность
  float realPower       = emon1.realPower;  
  // значение тока          
  float Irms            = emon1.Irms;  
  // отправить в последовательный порт
  Serial.print("P=");Serial.print(realPower);                      
  Serial.print("  I=");Serial.println(Irms);           
}