
//пин подключения счетчика A3
int currentPin = 3;              
double kilos = 0;
int peakPower = 0;

void setup() 
{ 
  Serial.begin(9600);            
  Serial.println("Running");
}

void loop() 
{ 
  int current = 0;
  int maxCurrent = 0;
  int minCurrent = 1000;
  // 200 выборок для получения мин. и макс. значения тока 
  for (int i=0 ; i<=200 ; i++)  
  {
    current = analogRead(currentPin);    
    if(current >= maxCurrent)
      maxCurrent = current;
    else if(current <= minCurrent)
      minCurrent = current;
  }
  if (maxCurrent <= 517)
  {
    maxCurrent = 516;
  }
  double RMSCurrent = ((maxCurrent - 516)*0.707)/11.8337; 
  // потребленная мощность в Ватт   
  int RMSPower = 220*RMSCurrent;    
  if (RMSPower > peakPower)
  {
    peakPower = RMSPower;
  }
  //подсчет в киливатт-час
  kilos = kilos + (RMSPower * (2.05/60/60/1000));    
  delay (2000);
  Serial.print(RMSCurrent);
  Serial.println("A");
  Serial.print(kilos);
  Serial.println("kWh");
}
