// ThingWorx
// 
// получение уникального идентификатора DS18B20 

// *********  константы ********
#define PIN_DS18B20_1 6    // пин подключения ds18b20

// ds18b20
#include <OneWire.h>

OneWire  ds(PIN_DS18B20_1);  // подключение onewire датчиков температуры

void setup() {
  Serial.begin(9600);
  
 }



void loop() 
  {
    // ***** получение показаний с датчиков
    // ds18b20 - 1
    get_id_ds18b20();
    // задержка
    delay(15000);

  }

void get_id_ds18b20()
 {
byte i;
byte addr1[8];

  if ( !ds.search(addr1)) {
        Serial.print("No more addresses.\n");
        ds.reset_search();
  }
  Serial.print("R=");  //R=28 Not sure what this is
  for( i = 0; i < 8; i++) {
    Serial.print(addr1[i], HEX);
    Serial.print(" ");
  }
  Serial.println();  
  if ( OneWire::crc8( addr1, 7) != addr1[7]) {
        Serial.print("CRC is not valid!\n");
  }
  if ( addr1[0] != 0x28) {
        Serial.print("Device is not a DS18S20 family device.\n");
  }
 }


