// функции получения данных с датчиков
// 
// 


// получить показания с датчика температуры ds18b20
// num=   0-воздуха, 1-почвы
float get_temp(int num)
 {
byte i;
byte present = 0;
byte data[12];
byte addr1[8];
int Temp,SignBit;
float fTemp;

  /*if ( !ds.search(addr1)) {
        //Serial.print("No more addresses.\n");
        ds.reset_search();
        return 999;
  }
//  Serial.print("R=");  //R=28 Not sure what this is
  for( i = 0; i < 8; i++) {
    Serial.print(addr1[i], HEX);
    Serial.print(" ");
  }
  if ( OneWire::crc8( addr1, 7) != addr1[7]) {
        Serial.print("CRC is not valid!\n");
        return 777;
  }
  if ( addr1[0] != 0x28) {
        Serial.print("Device is not a DS18S20 family device.\n");
        return 888;
  }*/
  ds.reset();
  ds.select(addr[num]);
  ds.write(0x44,1);        // start conversion, with parasite power on at the end
  delay(1000);             // подождать 750ms is enough, maybe not

  present = ds.reset();
  ds.select(addr[num]);
  ds.write(0xBE);          // Read Scratchpad
  for ( i = 0; i < 9; i++) {         // we need 9 bytes
    data[i] = ds.read();
  }
  Temp=(data[1]<<8)+data[0];  //take the two bytes from the response relating to temperature
   // Проверяем - или нет
  Temp=Temp;//divide by 16 to get pure celcius readout

  //Serial.print("T=");//output the temperature to serial port
  //Serial.print(Temp/16);
  //Serial.print(".");
  //Serial.print(((Temp%16)*100)/16);
  //Serial.println("  ");
  fTemp=float(Temp/16)+float((Temp%16)*100)/16/100;
  //Serial.println(float(Temp/16));
  //Serial.println((float(Temp%16)*100)/16/100);
  
  return fTemp;
 }

// получить показания с датчика DHT
float get_dht()
  {
    float fhumidity;
    
    fhumidity=dht.readHumidity();
    if (isnan(fhumidity)) 
      {
      return 1000.0;
      } 
    return fhumidity;
  }

// получить показания с датчика SoilMoisture
float get_soilMoisture()
  {
    float percentSoilMoisture;
    
   //Serial.print("analogRead(PIN_SOILMOISTURE)=");Serial.println(analogRead(PIN_SOILMOISTURE));
    
   percentSoilMoisture=map(analogRead(PIN_SOILMOISTURE),MIN_SOILMOISTURE,MAX_SOILMOISTURE,0,100);

    return percentSoilMoisture;
  }

// получить показания освещенности
float get_light()
  {
    int light;
    
    //Serial.print("analogRead(PIN_LIGHT)=");Serial.println(analogRead(PIN_LIGHT));
    
    light=map(analogRead(PIN_LIGHT),MIN_LIGHT,MAX_LIGHT,0,100);
    //Serial.print("light=");Serial.println(light);

    return float(light);
  }
 // получить показания LM35 - датчик температуры
float get_lm35()
  {
    double val=analogRead(PIN_LM35);
    //Serial.print("val=");Serial.println(val);
    double voltage=val*5.00/1024;
    //Serial.print("voltage=");Serial.println(voltage);
    double temp=voltage*100-273;
    
    return float(temp);
  }
  // получить показания GPS
float get_GPS()
  {
  }
