const int IRpin = A0;          // аналоговый пин для подключения выхода Vo сенсора
int value1;                    // для хранения аналогового значения

void setup() {
  Serial.begin(9600);            // Запуск последовательного порта
  }

void loop() {
  Serial.println(irRead(), DEC);
 // получаем сглаженное значение  и переводим в напряжение
 float volts = analogRead(IRpin)*0.0048828125;
 // и в расстояние в см 
 float distance=32*pow(volts,-1.10);
 Serial.print(distance);      // выдаем в порт значение
 delay(200);                    
}

// Усреднение нескольких значений для сглаживания
int irRead() {
  int averaging = 0;             //  переменная для суммирования данных

  // Получение 5 значений
  for (int i=0; i<5; i++) {
    value1 = analogRead(IRpin);
    averaging = averaging + value1;
    delay(55);      // Ожидание 55 ms перед каждым чтением
  }
  value1 = averaging / 5;      // усреднить значения
  return(value1);              
} 

