#include <CyberLib.h>             //Библиотека от Cyber-Place.ru 
volatile uint8_t tic, Dimmer1=255; 
uint8_t data; 

void setup()  
  {  
  D4_Out;          //Настраиваем порт на выход 
  D4_Low;          //установить на выходе низкий уровень сигнала 
  //настраиваем порт на вход для отслеживания прохождения сигнала через ноль 
  D2_In; 
  // настроить срабатывание прерывания interrupt0 на pin 2 на низкий уровень  
  attachInterrupt(0, detect_up, LOW);  
  StartTimer1(halfcycle, 40); //время для одного разряда ШИМ 
  StopTimer1(); //остановить таймер 
  UART_Init(57600); //инициализация порта 
  } 
// обработчики прерываний  
void halfcycle()  //прерывания таймера 
  {  
  tic++;  //счетчик   
  if(Dimmer1 < tic ) D4_High; //управляем выходом 
  } 

void  detect_up()  // обработка внешнего прерывания. Сработает по переднему фронту 
  {   
 tic=0;             //обнулить счетчик 
 ResumeTimer1();   //запустить таймер 
 // перепрограммировать прерывание на другой обработчик
 attachInterrupt(0, detect_down, HIGH);  
 }   

void  detect_down()  // обработка внешнего прерывания. Сработает по заднему фронту 
{    
 StopTimer1(); //остановить таймер 
 D4_Low;       //логический ноль на выходы 
 tic=0;       //обнулить счетчик 
 //перепрограммировать прерывание на другой обработчик 
attachInterrupt(0, detect_up, LOW); 
}  

void loop()  
{
  Start 
  if (UART_ReadByte(data)) 
 { 
   if(data>47 && data<59) 
    { 
      data=225-(data-48)*25; 
      Dimmer1=data; 
    } 
 }  
 End
}  

